<?php
/**************************************************
  Coppermine 1.5.x Plugin - Isotope
  *************************************************
  Copyright (c) 2013 Mykee (www.acegem.hu)
  *************************************************
  This plugin based on Isotope gallery script.
  Isotope may be used in commercial projects and applications
  with the one-time purchase of a commercial license. For non-commercial, 
  personal, or open source projects and applications, you may use Isotope 
  under the terms of the MIT License. You may use Isotope for free. If you are 
  paid to do your job, and part of your job is implementing Isotope, 
  a commercial license is required.
  More information here: http://isotope.metafizzy.co/docs/license.html
  ********************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/isotope/plugin_config.php $
  $Revision: 6994 $
  $LastChangedBy: mykee $
  $Date: 2013-08-10 23:05:10 +0100 (Sat, 10 Aug 2013) $
  **************************************************/


require_once('include/init.inc.php');
require('./plugins/isotope/include/init.inc.php');


$isotope_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_isotope;
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

pageheader($lang_plugin_isotope['display_name']);
if ($isotope_superCage->post->keyExists('update')) {
  $isotope_width = $isotope_superCage->post->getDigits('isotope_width');
  $isotope_numberofpics = $isotope_superCage->post->getDigits('isotope_numberofpics');
  $isotope_album = $isotope_superCage->post->getAlnum('isotope_album');
  $isotope_margin = $isotope_superCage->post->getRaw('isotope_margin');
  $isotope_container = $isotope_superCage->post->getDigits('isotope_container');
  $isotope_thumb = $isotope_superCage->post->getInt('isotope_thumb');
  $isotope_lbox = $isotope_superCage->post->getInt('isotope_lbox');
  $isotope_adipoli = $isotope_superCage->post->getInt('isotope_adipoli');
  $isotope_adipoli_start = $isotope_superCage->post->getAlnum('isotope_adipoli_start');
  $isotope_adipoli_hover = $isotope_superCage->post->getAlnum('isotope_adipoli_hover');
  $isotope_ulclass = $isotope_superCage->post->getRaw('isotope_ulclass');
  
   if ($isotope_thumb == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
  // if someone types text into a number input field, set default value
  if($isotope_width != strval(intval($isotope_width)) || $isotope_width =="" ) $isotope_width = 320;
  if($isotope_numberofpics != strval(intval($isotope_numberofpics))) $isotope_numberofpics = 30;
  if($isotope_numberofpics < 8 or $isotope_numberofpics > $maxnum) $isotope_numberofpics = 15;
  if($isotope_margin == "") $isotope_margin = "0px";
  if($isotope_ulclass == "") $isotope_ulclass = "isotopemenu";
  
  $s="UPDATE `{$CONFIG['TABLE_PREFIX']}plugin_isotope` SET isotope_album=('$isotope_album'), isotope_width=($isotope_width), isotope_numberofpics=($isotope_numberofpics), isotope_margin=('$isotope_margin'), isotope_container=('$isotope_container'), isotope_thumb=($isotope_thumb), isotope_lbox=($isotope_lbox), isotope_adipoli=($isotope_adipoli), isotope_adipoli_start=('$isotope_adipoli_start'), isotope_adipoli_hover=('$isotope_adipoli_hover'), isotope_ulclass=('$isotope_ulclass')";
  cpg_db_query($s); 
  msg_box($lang_plugin_isotope['display_name'], $lang_plugin_isotope['update_success']);
}

if ($ISOTOPESET['isotope_thumb'] == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
require('./plugins/isotope/include/load_isotopeset.php');


starttable('100%', $lang_plugin_isotope['main_title'].' - Version '.$lang_plugin_isotope['version']);
?>

<TR>
  <TD class=tableh2 colSpan=3><?php echo $lang_plugin_isotope['main_title']?></TD>
</TR>
<TR>
  <td><form action="<?php $_SERVER['PHP_SELF']?>" method="post" name="isotope_settings">
      <table class="maintable" cellSpacing="2" cellPadding="2" width="100%" align="<?php echo $align?>" border=0 id="section1">
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_isotope['album']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="isotope_album" id="isotope_album">
                 <option value="random" <?php if($ISOTOPESET['isotope_album'] == "random") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['random']?></option>
                 <option value="lastup" <?php if($ISOTOPESET['isotope_album'] == "lastup") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['lastup']?></option>
                 <option value="topn" <?php if($ISOTOPESET['isotope_album'] == "topn") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['topn']?></option>
                 <option value="toprated" <?php if($ISOTOPESET['isotope_album'] == "toprated") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['toprated']?></option>
              </select>
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_isotope['isotope_lbox']?>&nbsp;&nbsp;</td>
          <td><input name="isotope_lbox" type="radio" value="1" <?php if($ISOTOPESET['isotope_lbox'] == 1) echo 'checked="checked"';?> id="isotope_lbox"/>
            <?php echo $lang_plugin_isotope['isotope_yes']?>
            <input name="isotope_lbox" type="radio" value="0" <?php if($ISOTOPESET['isotope_lbox'] == 0) echo 'checked="checked"';?> id="isotope_lbox"/>
            <?php echo $lang_plugin_isotope['isotope_no']?>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_isotope['isotope_adipoli']?>&nbsp;&nbsp;</td>
          <td><input name="isotope_adipoli" type="radio" value="1" <?php if($ISOTOPESET['isotope_adipoli'] == 1) echo 'checked="checked"';?> id="isotope_adipoli"/>
            <?php echo $lang_plugin_isotope['isotope_yes']?>
            <input name="isotope_adipoli" type="radio" value="0" <?php if($ISOTOPESET['isotope_adipoli'] == 0) echo 'checked="checked"';?> id="isotope_adipoli"/>
            <?php echo $lang_plugin_isotope['isotope_no']?>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_isotope['adipoli_start']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="isotope_adipoli_start" id="isotope_adipoli_start">
                 <option value="transparent" <?php if($ISOTOPESET['isotope_adipoli_start'] == "transparent") echo 'selected="selected"';?>>transparent</option>
                 <option value="normal" <?php if($ISOTOPESET['isotope_adipoli_start'] == "normal") echo 'selected="selected"';?>>normal</option>
                 <option value="overlay" <?php if($ISOTOPESET['isotope_adipoli_start'] == "overlay") echo 'selected="selected"';?>>overlay</option>
                 <option value="grayscale" <?php if($ISOTOPESET['isotope_adipoli_start'] == "grayscale") echo 'selected="selected"';?>>grayscale</option>
              </select>
          </td>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_isotope['adipoli_hover']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="isotope_adipoli_hover" id="isotope_adipoli_hover">
                 <option value="normal" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "normal") echo 'selected="selected"';?>>normal</option>
                 <option value="popout" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "popout") echo 'selected="selected"';?>>popout</option>
                 <option value="sliceDown" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceDown") echo 'selected="selected"';?>>sliceDown</option>
                 <option value="sliceDownLeft" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceDownLeft") echo 'selected="selected"';?>>sliceDownLeft</option>
                 <option value="sliceUp" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceUp") echo 'selected="selected"';?>>sliceUp</option>
                 <option value="sliceUpLeft" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceUpLeft") echo 'selected="selected"';?>>sliceUpLeft</option>
                 <option value="sliceUpRandom" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceUpRandom") echo 'selected="selected"';?>>sliceUpRandom</option>
                 <option value="sliceUpDown" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceUpDown") echo 'selected="selected"';?>>sliceUpDown</option>
                 <option value="sliceUpDownLeft" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "sliceUpDownLeft") echo 'selected="selected"';?>>sliceUpDownLeft</option>
                 <option value="fold" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "fold") echo 'selected="selected"';?>>fold</option>
                 <option value="foldLeft" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "foldLeft") echo 'selected="selected"';?>>foldLeft</option>
                 <option value="boxRandom" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "boxRandom") echo 'selected="selected"';?>>boxRandom</option>
                 <option value="boxRain" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "boxRain") echo 'selected="selected"';?>>boxRain</option>
                 <option value="boxRainReverse" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "boxRainReverse") echo 'selected="selected"';?>>boxRainReverse</option>
                 <option value="boxRainGrow" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "boxRainGrow") echo 'selected="selected"';?>>boxRainGrow</option>
                 <option value="boxRainGrowReverse" <?php if($ISOTOPESET['isotope_adipoli_hover'] == "boxRainGrowReverse") echo 'selected="selected"';?>>boxRainGrowReverse</option>
              </select>
          </td>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_isotope['isotope_thumb']?>&nbsp;&nbsp;</td>
          <td><input name="isotope_thumb" type="radio" value="1" <?php if($ISOTOPESET['isotope_thumb'] == 1) echo 'checked="checked"';?> id="isotope_thumb"/>
            <?php echo $lang_plugin_isotope['isotope_yes']?>
            <input name="isotope_thumb" type="radio" value="0" <?php if($ISOTOPESET['isotope_thumb'] == 0) echo 'checked="checked"';?> id="isotope_thumb"/>
            <?php echo $lang_plugin_isotope['isotope_no']?>
        </tr>
        <?php if ($ISOTOPESET['isotope_thumb'] == 0) { ?>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_isotope['isotope_width']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="isotope_width" name="isotope_width" type="int" value="<?php echo $ISOTOPESET['isotope_width']?>" > px
          </td>
        </tr>
        <?php } ?>
        <tr>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_isotope['isotope_numberofpics']?> (10-<?php echo $maxnum ?>)&nbsp;&nbsp;
          </td>
          <td width="50%">
          	<select name="isotope_numberofpics" id="isotope_numberofpics">
          	<?php for($i = 10; $i < $maxnum+1; $i++)
          	{
          	  echo '<option value="'.$i.'" ';
          	  if($ISOTOPESET['isotope_numberofpics'] == $i) echo 'selected="selected" ';
          	  echo '>'.$i.'</option>';
          	} ?>
          </select>
          </td>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_isotope['isotope_margin']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="isotope_margin" name="isotope_margin" value="<?php echo $ISOTOPESET['isotope_margin']?>">
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_isotope['isotope_container']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="isotope_container" name="isotope_container" value="<?php echo $ISOTOPESET['isotope_container']?>"> px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            Menu UL Class&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="isotope_ulclass" name="isotope_ulclass" type="int" value="<?php echo $ISOTOPESET['isotope_ulclass']?>" >
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>
            <input name="update" type="hidden" id="update" value="1" /></td>
        </tr>  
        <tr>
          <td>&nbsp;</td>
          <td align="left"><input name="Submit" type="submit" value="<?php echo $lang_plugin_isotope['submit_button']?>" /></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="center">&nbsp;</td>
        </tr>
      </table>
    </form></td>
</tr>
<?php 
endtable();
pagefooter();
ob_end_flush();

?>