<?php
/**************************************************
  Coppermine 1.5.x Plugin - Isotope
  *************************************************
  Copyright (c) 2013 Mykee (www.acegem.hu)
  *************************************************
  This plugin based on Isotope gallery script.
  Isotope may be used in commercial projects and applications
  with the one-time purchase of a commercial license. For non-commercial, 
  personal, or open source projects and applications, you may use Isotope 
  under the terms of the MIT License. You may use Isotope for free. If you are 
  paid to do your job, and part of your job is implementing Isotope, 
  a commercial license is required.
  More information here: http://isotope.metafizzy.co/docs/license.html
  ********************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/isotope/lang/english.php $
  $Revision: 6994 $
  $LastChangedBy: mykee $
  $Date: 2013-08-10 23:05:10 +0100 (Sat, 10 Aug 2013) $
  **************************************************/

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }
//language variables
$lang_plugin_isotope = array(
'all' => 'All',
'filter' => 'Album filter',
'isotope_width'  => 'Picture maximum width',
'isotope_numberofpics' => 'Number of pics',
'display_name' => 'Isotope PlugIn',
'main_title' => 'Isotope PlugIn',
'version' => '1.0',
'pluginmanager' => 'Plugin Manager',
'isotope_install' => 'Isotope Installation',
'install_button' => 'Install now',
'cancel_button' => 'Cancel',
'isotope_yes' => 'yes',
'isotope_no' => 'no',
'submit_button' => 'Submit',
'update_success' => 'Values updated successfully.',
'album' => 'Select an album',
'isotope_margin'  => 'Picture margins (ex. 5px or 4px 10px)',
'description' => 'Shows a Javascript Isotope gallery on album list page',
'install_info' => 'You may configure the plugin after installation, use the button on plugin manager page.',
'isotope_container' => 'Div container width (px or leave empty, ex. 700)',
'isotope_thumb' => 'Use thumbnails',
'isotope_mixed' => 'Mixed with full size',
'isotope_lbox' => 'Use Lightbox feature',
'isotope_adipoli' => 'Use Adipoli feature',
'adipoli_start' => 'Adipoli Start Effect',
'adipoli_hover' => 'Adipoli Hover Effect',
'comment' => '<a class="admin_menu" href="index.php?file=isotope/plugin_config" title="Configure Isotope">Isotope Configuration</a><br /><br />'
    . '<a class="admin_menu" href="http://forum.coppermine-gallery.net/index.php" rel="external" title="Isotope Support">Announcement thread</a><br /><br />'
    . 'To enable this plugin, the string "isotope" (separated with a slash) has to be added to "the content of the main page" in Coppermine\'s config in the section "Album list view". The setting should now look like "breadcrumb/catlist/alblist/isotope" or similar. To change the position of the block, move the string "isotope" around inside that config field.',
);
?>